Skip to main content
POST
/
v1
/
payments
/
retailPay
cURL
curl -X POST https://api.rebellapp.com/v1/payments/retailPay \
  -H "Content-Type: application/json" \
  -H "Client-Id: YOUR_CLIENT_ID" \
  -H "Request-Time: 2024-01-10T12:00:00Z" \
  -H "Signature: algorithm=SHA256withRSA, keyVersion=1, signature=BASE64_SIGNATURE" \
  -d '{
    "productCode": "5105010010000100040",
    "paymentRequestId": "REQ_abc_456",
    "paymentAuthCode": "289123456789012345",
    "paymentAmount": {
      "currency": "EUR",
      "value": 2500
    },
    "order": {
      "orderDescription": "In-store purchase"
    },
    "paymentNotifyUrl": "https://merchant.example.com/webhook"
  }'
{
  "result": {
    "resultStatus": "S",
    "resultCode": "<string>",
    "resultMessage": "<string>"
  },
  "paymentRequestId": "<string>",
  "paymentId": "<string>",
  "paymentTime": "2023-11-07T05:31:56Z",
  "paymentAmount": {
    "currency": "<string>",
    "value": 123
  }
}

Authorizations

Signature
string
header
required

RSA SHA256 signature header. Example: Signature: algorithm=SHA256withRSA, keyVersion=0, signature=BASE64...

Client-Id
string
header
required

Rebell-assigned Client Id.

Request-Time
string
header
required

RFC3339 timestamp (e.g., 2019-05-28T12:12:00+08:00).

Body

application/json
productCode
string
required
paymentRequestId
string
required
paymentAuthCode
string
required

User wallet QR/Barcode content

paymentAmount
object
required

Amount in minor units (e.g., cents).

paymentNotifyUrl
string<uri>
required
order
object
extendInfo
string

Response

OK

result
object
required
paymentRequestId
string
paymentId
string
paymentTime
string<date-time>
paymentAmount
object

Amount in minor units (e.g., cents).